# Class GapAnchor
Stores the position of an alignment character in sequence-space and gap-space in AnchorGaps.

Implements | ComparableConcept
All Impl'd | ComparableConcept, EqualityComparableConcept, LessThanComparableConcept
Defined in | <seqan/align.h>
Signature | `template <typename TPosition> struct GapAnchor;`

## Template Parameters

`TPos` | Type to store gapped/ungapped positions.

## Member Function Overview

- `GapAnchor::GapAnchor([other]);, GapAnchor::GapAnchor(seqPos, gapPos);`
  Constructor.

### Member Functions Inherited From ComparableConcept

- `operator>`

### Member Functions Inherited From EqualityComparableConcept

- `operator!=`
- `operator==`

### Member Functions Inherited From LessThanComparableConcept

- `operator<`

## Interface Function Overview

### Interface Functions Inherited From ComparableConcept

- `operator<=`
- `operator>=`

## Member Variable Overview

- `TPos GapAnchor::gapPos`
  Sequence character position in the gapped sequence.
- `TPos GapAnchor::seqPos`
  Sequence character position in the ungapped sequence.

## Detailed Description

### Remarks

Used as value type for the `gaps` strings in ReadStoreElement and ContigStoreElement.

## See Also

- AnchorGaps

## Member Functions Detail

### `GapAnchor::GapAnchor([other]); GapAnchor::GapAnchor(seqPos, gapPos);`

Constructor.

#### Parameters

`other` | GapAnchor object to copy from.
`seqPos` | Sequence character position in the ungapped sequence (of type `TPos`).
`gapPos` | Sequence character position in the gapped sequence (of type `TPos`).

#### Remarks

The default constructor sets both positions to `0`.

#### Data Races

Thread safety unknown!

## Member Variables Detail

### `TPos GapAnchor::gapPos`

Sequence character position in the gapped sequence.

### `TPos GapAnchor::seqPos`

Sequence character position in the ungapped sequence.

#### Dox Sources

    /*!
     * @class GapAnchor
     *
     * @implements ComparableConcept
     *
     * @headerfile <seqan/align.h>
     *
     * @brief Stores the position of an alignment character in sequence-space and
     *        gap-space in @link AnchorGaps @endlink.
     *
     * @signature template <typename TPosition> struct GapAnchor;
     *
     * @tparam TPos Type to store gapped/ungapped positions.
     *
     * @section Remarks
     *
     * Used as value type for the <tt>gaps</tt> strings in @link ReadStoreElement
     * @endlink and @link ContigStoreElement @endlink.
     *
     * @see AnchorGaps
     *
     * @fn GapAnchor::GapAnchor
     *
     * @brief Constructor.
     *
     * @signature GapAnchor::GapAnchor([other]);
     * @signature GapAnchor::GapAnchor(seqPos, gapPos);
     *
     * @param[in] other GapAnchor object to copy from.
     * @param[in] seqPos Sequence character position in the ungapped sequence (of
     *                   type <tt>TPos</tt>).
     * @param[in] gapPos Sequence character position in the gapped sequence (of type
     *                   <tt>TPos</tt>).
     *
     * @section Remarks
     *
     * The default constructor sets both positions to <tt>0</tt>.
     *
     * @var TPos GapAnchor::seqPos;
     *
     * @brief Sequence character position in the ungapped sequence.
     *
     * @var TPos GapAnchor::gapPos;
     *
     * @brief Sequence character position in the gapped sequence.
     */